<template>
	<div>
		<van-sticky>
			<view class="top-bar justify-center bg-white sh">
				<van-icon class="top-left" name="arrow-left" @tap="goBack(url)" />
				<view>
					<view class="text-m" style="font-size: 16px;color: #333333">资质与规则</view>
				</view>
			</view>
		</van-sticky>
		<!--<img src="../../static/img/weizhi.png" style="width: 100%" alt="">-->
		<div style="margin: 10px 10px">
			<p style="color: #666666;">*若无法预览，请复制链接后在浏览器打开</p>
			<van-divider :style="{borderColor: '#DDDDDD'}"/>
			<h2 style="margin: 10px auto">商城平台交易指引</h2>
			<p><a style="color: #1A79FF" @click="goPDF(2)">https://img.edsmall.com/ROOT/ETao/resource/trading_guidelines.pdf</a></p>
			<h2 style="margin: 10px auto;margin-top: 30px">营业执照</h2>
			<p><a style="color: #1A79FF" @click="goPDF(1)">https://edspicserver.oss-cn-hangzhou.aliyuncs.com/ROOT/ETao/resource/business_license.pdf</a></p>
			<h2 style="margin: 10px auto;margin-top: 30px">增值电信业务经营许可证</h2>
			<p><a style="color: #1A79FF" @click="goPDF(3)">https://img.edsmall.com/ROOT/ETao/resource/ThePeoplesRepublicofChina.pdf</a></p>
		</div>
	</div>
</template>

<script>
  export default {
    name: "technicalSupport",
    data(){
      return{
        url:''
	}
    },
    onLoad: function (option) { //option为object类型，会序列化上个页面传递的参数
      this.url=option.name
    },
    methods:{
      goPDF(num){
        uni.redirectTo({
          url:'/pages/my/pdfh5?type='+num,
        });
	},
      goBack(name) {
        let url = ''
        if(name=='login'){
          url='/pages/login/login'
	  }else if(name=='contact'){
          url='/pages/good/contact'
        }else if(name=='detail'){
          url='/pages/my/detail'
        }else if(name=='index'){
          url='/'
        }
        uni.redirectTo({
          url:url,
        });
      },
    }
  };
</script>

<style scoped>

</style>